# Gets the current status and results for a query that has previously been started

Gets the current status and results for a query that has previously been started

Endpoint: GET /queries/{tenantId}/describe/{id}
Version: v1-2025-04-18
Security: knox-authorizer

## Security:

  - `knox-authorizer` (unknown)
    http bearer JWT

## Path parameters:

  - `tenantId` (string, required)
    Parameters to the query

  - `id` (string, required)
    The ID of a previously started query

## Response 200:

  - `200` (unknown)
    The query details were located successfully.

## Response 200 fields (application/json):

  - `duration` (number)
    The query execution time

  - `has_result_set` (boolean)
    Did this query return data?

  - `id` (string)
    The id of the query

  - `metadata_uri` (string)
    The location where you can download the metadata for this query

  - `rows` (number)
    The number of rows returned by this query

  - `schedule_id` (string)
    The ID of the query delivery schedule that initiated this query

  - `size` (number)
    The size of the data returned by this query

  - `status` (string)
    The current status of the query

  - `sys_created_at` (string)
    The date/time that this query was started

  - `sys_created_by_id` (string)
    The ID of the user that created this record

  - `sys_last_modified_at` (string)
    The date/time that this query status was last updated

  - `sys_last_modified_by_id` (string)
    The ID of the user that last modified this record

  - `uri` (string)
    The location where you can download the results of this query

## Response 200 headers (application/json):

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 400:

  - `400` (unknown)
    The query id supplied was not valid.

## Response 400 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 404:

  - `404` (unknown)
    The query id could not be found.

## Response 404 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 409:

  - `409` (unknown)
    The contact could not be saved because it refers to/depends on a non-existent object.

## Response 409 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 429:

  - `429` (unknown)
    Limit exceeded... unable to merge contact based on tenant limits.

## Response 429 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 500:

  - `500` (unknown)
    General server error.

## Response 500 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

